import ExecutionContext from '../../controllers/execution-context';
import Middleware from '../../interfaces/middleware.interface';
/**
 * Built-in middleware that transforms ISO strings to Date object,
 * in outcoming and incoming messages.
 *
 * (Works both in broker and client modes)
 */
export default class IsoDateTransformerMiddleware implements Middleware {
    onRequest(context: ExecutionContext): void;
    onResponse(message: unknown): unknown;
}
